AntiFeatures:
  - Tracking
Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Mathis Dirksen-Thedens
AuthorWebSite: https://zephyrsoft.org/
WebSite: https://zephyrsoft.org/
SourceCode: https://github.com/mathisdt/checknetwork
IssueTracker: https://github.com/mathisdt/checknetwork/issues
Changelog: https://zephyrsoft.org/checknetwork/history

AutoName: Check Network
Description: |-
    Due to changes to APN privileges in Android 4.0.4 this will only work as a
    system app.

    Periodically checks the internet connection and reconnects if the internet can't
    be reached. Every check downloads 5KB from google.com.

    Tracking: Crash reports are sent without interaction.

RepoType: git
Repo: https://github.com/mathisdt/checknetwork

Builds:
  - versionName: '1.2'
    versionCode: 3
    commit: '193'
    forceversion: true
    forcevercode: true
    prebuild: echo -e 'java.source=1.6\njava.target=1.6' > ant.properties

  - versionName: 0.1.3-git
    versionCode: 4
    commit: 8da0a368b12e119264559b9df099a58fc220751f
    forceversion: true
    forcevercode: true
    prebuild: echo -e 'java.source=1.6\njava.target=1.6' > ant.properties
    target: android-19

  - versionName: 0.1.3-git
    versionCode: 5
    commit: 0c51520ce78bcaffcd32a32dd1e70c1c45c591d2
    forceversion: true
    forcevercode: true
    prebuild: echo -e 'java.source=1.6\njava.target=1.6' > ant.properties
    target: android-19

ArchivePolicy: 1 versions
AutoUpdateMode: None
UpdateCheckMode: RepoManifest
CurrentVersion: 0.1.3-SNAPSHOT
CurrentVersionCode: 5
